=== debian/changelog ===
libcwiid (0.1-r191-1) unstable; urgency=low

  * Update to revision 191

 -- Alvaro Manera <alblurrow@yute.com>  Sat,  9 Jan 2010 19:59:18 +0200

libcwiid (0.1-r185-1) unstable; urgency=low

  * Initial release taken from rev 185 in authors svn

 -- Alvaro Manera <alblurrow@yute.com>  Sat,  9 Jan 2010 18:59:18 +0200
