=== debian/control ===
Source: libcwiid
Section: unknown
Priority: extra
Maintainer: Alvaro Manera <alblurrow@yute.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libbluetooth3-dev 
Standards-Version: 3.7.2

Package: libcwiid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to connect to different Wiimotes
 Implements communication protocol with the Wiimotes
 including BalanceBoard, WiiMote Plus, etc.
