=== debian/changelog ===
libcwiid (0.6-git21022010-1) unstable; urgency=low

  * Updated to git version 21 Feb 2010

 -- Alvaro Manera <alblurrow@yute.com>  Sat,  27 Mar 2010 15:59:18 +0200
